import { PageWrapper } from '@/components/foundation'
import type { Metadata } from 'next'

export const metadata: Metadata = {
  title: 'Store Page',
  description: 'Store page description'
}

const Page = () => {
  return (
    <PageWrapper header={{ title: 'Store' }}>
      <div>
        <h1>Hello from store</h1>
      </div>
    </PageWrapper>
  )
}

export default Page
