// nextjs route handler, checks import { NextResponse } from 'next/server'
import { auth } from '@clerk/nextjs/server'
import { clerkClient } from '@clerk/nextjs/server'
import { NextResponse } from 'next/server'

export async function GET() {
  await auth.protect()

  const clerk = await clerkClient()
  const authenticated = await auth()

  // if (!userId) {
  //   return new Response('Unauthorized', { status: 401 })
  // }

  // if (!userId) {
  //   return new Response('Unauthorized', { status: 401 })
  // }

  const userId = authenticated.userId

  if (!userId) {
    return new Response(JSON.stringify({ error: 'Error: No signed in user' }), {
      status: 401
    })
  }

  console.log('Frome the api')
  // try {
  // let res
  // if (userId) {
  const res = await clerk.users.getUserOauthAccessToken(userId, 'github')
  // }
  // } catch (error) {
  //   console.error(error)
  // }
  // const github = await clerk.getUserOAuthAccessToken('oauth_github')

  // const { userId } = await auth()
  // if (!userId) {
  //   return new Response('Unauthorized', { status: 401 })
  // }

  // const token = await getToken({ template: 'oauth_github' })

  // Fetch data from Supabase and return it.
  // const data = { token: token }
  // console.log(data)
  //
  const data = res.data[0]?.token
  return NextResponse.json({ res: data })
}
