import type { ComponentPropsWithoutRef } from 'react'

/**
 * Props for the FormatMillisecond component.
 * @interface FormatMilliSecondProps
 * @property {number} time - The time in milliseconds to format.
 */
export interface FormatMilliSecondProps
  extends ComponentPropsWithoutRef<'div'> {
  time: number
}
