/**
 * LaconicIconProps interface defines the props for the LaconicIcon component.
 */
export interface LaconicIconProps {
  /**
   * Optional CSS class names to apply to the component.
   */
  className?: string
  /**
   * The width of the icon.
   * @default 40
   */
  width?: number
  /**
   * The height of the icon.
   * @default 40
   */
  height?: number
}
