/**
 * Common components for the onboarding flow
 *
 * This module exports shared components used across the onboarding flow.
 *
 * @see https://www.figma.com/design/cfMOy1RJasIu3QyzAMBFxB/Laconic?node-id=571-3500&m=dev
 */

export { BackgroundSVG } from './background-svg'
export { LaconicIconLettering } from './laconic-icon-lettering'
export { OnboardingContainer } from './onboarding-container'
export { StepHeader } from './step-header'
export { StepNavigation } from './step-navigation'
