export interface Project {
  id: string
  name: string
  icon?: string
  repository?: string
  auctionId?: string | null
  deployments: Array<{
    branch?: string
    createdAt: number | string | Date
    createdBy?: {
      name: string
    }
    deployer: {
      baseDomain: string
    }
    applicationDeploymentRecordData: {
      url: string
    }
  }>
}
