'use client'

import NavigationWrapper from '@/components/foundation/navigation-wrapper/NavigationWrapper'
import { TopNavigation } from '@/components/foundation/top-navigation'

interface LayoutProps {
  children: React.ReactNode
}

const Layout: React.FC<LayoutProps> = ({ children }) => {
  return (
    <NavigationWrapper>
      <TopNavigation />
      {children}
    </NavigationWrapper>
  )
}

export default Layout
