# DarkModeToggle Component

A button component to toggle between light and dark themes.

## Features

- Toggles between light and dark themes
- Uses `next-themes` for theme management
- Customizable styling

## Usage

```tsx
import { DarkModeToggle } from 'path/to/components/foundation/top-navigation/dark-mode-toggle'

// Basic usage
<DarkModeToggle />
```

## Props

This component does not accept any props. 