/**
 * WalletSessionIdProps interface defines the props for the WalletSessionId component.
 */
export interface WalletSessionIdProps {
  /**
   * The wallet ID to display.
   */
  walletId?: string

  /**
   * Optional CSS class names to apply to the component.
   */
  className?: string

  /**
   * Whether the wallet is connected.
   * @default true
   */
  isConnected?: boolean
}
