export interface Deployment {
  id: string
  branch: string
  status: string
  isCurrent: boolean
  createdAt: string | number
  createdBy?: {
    name: string
  }
  applicationDeploymentRecordData: {
    url: string
  }
}

export interface Domain {
  id: string
  name: string
  branch: string
  status: string
  createdAt: string | number
}
