import { formatDistanceToNow } from 'date-fns'

export function relativeTimeMs(timestamp: number | string | Date): string {
  const date =
    typeof timestamp === 'number' ? new Date(timestamp) : new Date(timestamp)
  return formatDistanceToNow(date, { addSuffix: true })
}
